Subject: bug#4237: 23.1; --script prints loading messages

From: Tom Tromey <[email-masked]>
Date: Sat, 22 Aug 2009 13:57:48 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I wrote a script in elisp that I run with "emacs --script".
It prints a lot of stuff before the script even starts:

Loading /usr/share/emacs/site-lisp/site-start.d/bbdb-mode-init.el (source)...
Loading /usr/share/emacs/site-lisp/site-start.d/focus-init.el (source)...
Loading /usr/share/emacs/site-lisp/site-start.d/git-init.el (source)...
Loading /usr/share/emacs/site-lisp/site-start.d/gnuplot-init.el (source)...
Loading /usr/share/emacs/site-lisp/site-start.d/php-mode-init.el (source)...
Loading /usr/share/emacs/site-lisp/site-start.d/po-mode-init.el (source)...
Loading /usr/share/emacs/site-lisp/site-start.d/rpm-spec-mode-init.el (source)...
Loading /usr/share/emacs/site-lisp/site-start.d/vm-mode-init.el (source)...
Loading /usr/share/emacs/site-lisp/site-start.d/w3m-init.el (source)...

I think that --script would be nicer if, by default, messages emanating
from Emacs were suppressed; only messages from my script should be
emitted.

For debugging purposes a --verbose flag or the like might help.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-03 on x86-5.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10601901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  highlight-changes-visible-mode: t
  flyspell-mode: t
  eldoc-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-f M-f M-b M-b M-d <M-backspace> <M-backspace> <M-backspace> 
C-z o C-p C-p C-z o C-a C-p C-p C-p C-SPC C-n C-n M-w 
C-z o M-< C-u C-n C-n C-n C-y C-p C-p C-e C-k SPC C-e 
M-b M-b M-b M-b M-f C-f SPC P <backspace> <backspace> 
P _ S-SPC ( C-e M-b M-d C-e ) ; C-x C-s C-z o C-x C-s 
C-u <f9> C-x b * g i <tab> <return> C-x 1 C-u <f9> 
<f9> C-SPC C-u C-n C-n C-n C-n C-w <f9> C-x 1 C-c b 
C-x b * g i <tab> <return> C-z o C-x s y C-c c <return> 
C-x o C-x 1 M-> C-z o <help-echo> C-c b C-g C-u <f9> 
C-x C-f x - <tab> <return> C-v C-l C-u C-n C-u C-n 
<tab> C-d C-d C-d C-e C-f C-f C-x C-s C-z o C-c c M-p 
<return> C-x b * s h <tab> <return> C-c C-o M-p <return> 
<f10> <switch-frame> <switch-frame> <f10> <f10> <f10> 
<f10> <f10> I SPC t h i n k SPC w e SPC w a n t SPC 
i t SPC k i n d SPC o f SPC s o o n <return> m a y 
b e SPC e v e n SPC t h i s SPC w e e k e n d <return> 
b e o r e SPC t h C-a C-f C-f e <backspace> f C-e e 
SPC e g g l <backspace> p l a n t SPC g o e s SPC b 
a d <return> <f10> <f10> <f10> C-c C-g C-x b * c o 
m <tab> <return> C-c c M-p <return> M-> C-x b <return> 
M-v M-v M-v M-{ M-v M-v C-v C-z o M-x r e p o r t - 
e m <tab> <return> b <tab> <return>

Recent messages:
Quit
Saving file /home/tromey/gnu/Emacs/git-emacs/emacs/src/x-defvar.el...
Wrote /home/tromey/gnu/Emacs/git-emacs/emacs/src/x-defvar.el
(No files need saving)
Compilation finished
History item: 1
(No files need saving)
Mark set
compilation-next-error: Moved back before first error
Making completion list...

Tom